Bug 206340 - Rename SelectionData classes and structures HighlightData, etc to be more inclusive for their new use cases
Summary: Rename SelectionData classes and structures HighlightData, etc to be more inc...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Megan Gardner
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-01-16 01:26 PST by Megan Gardner
Modified: 2020-02-10 11:33 PST (History)
21 users (show)

See Also:


Attachments
Patch (119.12 KB, patch)
2020-01-16 01:31 PST, Megan Gardner
no flags Details | Formatted Diff | Diff
Patch (119.92 KB, patch)
2020-01-16 08:22 PST, Megan Gardner
no flags Details | Formatted Diff | Diff
Patch (122.52 KB, patch)
2020-01-22 14:28 PST, Megan Gardner
no flags Details | Formatted Diff | Diff
Patch for landing (122.12 KB, patch)
2020-02-10 10:35 PST, Megan Gardner
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Megan Gardner 2020-01-16 01:26:16 PST
Rename SelectionData classes and structures HighlightData, etc to be more inclusive for their new use cases
Comment 1 Megan Gardner 2020-01-16 01:31:19 PST
Created attachment 387898 [details]
Patch
Comment 2 Megan Gardner 2020-01-16 08:22:45 PST
Created attachment 387923 [details]
Patch
Comment 3 Ryosuke Niwa 2020-01-16 16:42:52 PST
Comment on attachment 387923 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=387923&action=review

r=me provided the following issues are addressed.

> Source/WebCore/rendering/HighlightData.cpp:48
> +struct SelectionData {

I guess you're gonna rename this in a followup?

> Source/WebCore/rendering/RenderObject.h:696
> +    enum HighlightState {

Please use enum class instead.
We then don't have to prefix every value with "Highlight".
Also specify the width: uint8_t.

> WebKit.xcworkspace/xcshareddata/xcschemes/All Source.xcscheme:60
> -               BuildableName = "libANGLE-shared.dylib"
> +               BuildableName = "libANGLE.a"

revert?
Comment 4 Megan Gardner 2020-01-22 14:28:47 PST
Created attachment 388470 [details]
Patch
Comment 5 Ryosuke Niwa 2020-01-27 16:00:19 PST
Is this new patch still up for a review??
Comment 6 Megan Gardner 2020-01-27 16:55:53 PST
I guess I hadn't actually pushed it, I was going to, but my connection to my work computer stopped functioning and completely distracted me. Did you have more comments?
Comment 7 Megan Gardner 2020-02-10 10:35:23 PST
Created attachment 390261 [details]
Patch for landing
Comment 8 WebKit Commit Bot 2020-02-10 11:31:35 PST
The commit-queue encountered the following flaky tests while processing attachment 390261 [details]:

editing/spelling/spellcheck-async-remove-frame.html bug 158401 (authors: morrita@google.com, rniwa@webkit.org, and tony@chromium.org)
The commit-queue is continuing to process your patch.
Comment 9 WebKit Commit Bot 2020-02-10 11:32:24 PST
Comment on attachment 390261 [details]
Patch for landing

Clearing flags on attachment: 390261

Committed r256196: <https://trac.webkit.org/changeset/256196>
Comment 10 WebKit Commit Bot 2020-02-10 11:32:26 PST
All reviewed patches have been landed.  Closing bug.
Comment 11 Radar WebKit Bug Importer 2020-02-10 11:33:23 PST
<rdar://problem/59318985>